<?php


	ViewResponse::getInstance()->setMethodAjax();

	use_helper('UtilFunctions');
	use_helper('UtilBarcode');


	$o_ObjectBean = new PrestamoBean();
	
	//COLOCAR CAMPOS DE LA CABECERA DEL LISTADO  
	
	if($cboMercado     		!=""){ $o_ObjectBean->setIdMercado($cboMercado);}
	if($cboColaborador     	!=""){ 
		$o_ObjectBean->setIdColaboradorPrestamo($cboColaborador);
	}else{
		$cboColaborador = myUser::getUser()->getIdColaborador();
		if(myUser::getUser()->getRoleId() == "sys.gen" || myUser::getUser()->getRoleId() == "sys.res" || myUser::getUser()->getRoleId() == "sys.sup"|| myUser::getUser()->getRoleId() == "sys.view"){
			if(myUser::getUser()->getRoleId() == "sys.gen" ) $permitir_ts = 1;
		}else{
			$o_ObjectBean->setIdColaboradorPrestamo(myUser::getUser()->getIdColaborador());
		}
	}
	

	$o_ObjectBean->setIdPrestamo($idPrestamo);
	
	$o_PrestamoDP = new PrestamoDP($o_ObjectBean);
	$a_ObjectBean = $o_PrestamoDP->select();
	/*****************************************/
	
	
	
	
	
	
	if( myUser::getUser()->getRoleId() == "sys.gen" || myUser::getUser()->getRoleId() == "sys.res" || myUser::getUser()->getRoleId() == "sys.sup"){
		
		$o_MercadoRepresentanteBean = new MercadoRepresentanteBean();              
		$o_MercadoRepresentanteBean->setIdMercado($cboMercado);
		$o_MercadoRepresentanteBL = new MercadoRepresentanteDP($o_MercadoRepresentanteBean);  
		$a_o_MercadoR = $o_MercadoRepresentanteBL->select();


		foreach ($a_o_MercadoR as $key => $o_MercadoR){
			$idColaborador = $o_MercadoR->getIdColaborador();
		}
	}else{
		if(myUser::getUser()->getIdColaborador()) $idColaborador  = myUser::getUser()->getIdColaborador();
		else $idColaborador  = $cboColaborador;
		
	}
	
	$o_MercadoRepresentanteBean = new MercadoRepresentanteBean();              
	$o_MercadoRepresentanteBean->setIdMercado($cboMercado);
	$o_MercadoRepresentanteBL = new MercadoRepresentanteDP($o_MercadoRepresentanteBean);  
	$a_o_MercadoR = $o_MercadoRepresentanteBL->select();


	foreach ($a_o_MercadoR as $key => $o_MercadoR){
		$idColaborador = $o_MercadoR->getIdColaborador();
	}
	
	$o_ColaboradorBean = new ColaboradorBean();
	$o_ColaboradorBean->setIdColaborador($idColaborador);
	$o_ColaboradorBL = new ColaboradorBL();
	$a_o_Colaborador = $o_ColaboradorBL->busquedaColaborador($o_ColaboradorBean);
	
	foreach ($a_o_Colaborador as $key => $o_Colaborador){
		$NombreRepresentante = utf8_decode($o_Colaborador->getNombreCompleto());
		
	}
	
	/////////////////////////////////////////////////////////////////////////////
	$o_sucursalmercadoBean = new SucursalMercadoBean();
	$o_sucursalmercadoBean->setIdMercado($cboMercado);
	
	$o_sucursalmercadoDP = new SucursalMercadoDP($o_sucursalmercadoBean);
	$a_o_sucursalmercadoDP = $o_sucursalmercadoDP->select();
	
	foreach ($a_o_sucursalmercadoDP as $key => $o_sucursalmercado){
		$IdSucursal = $o_sucursalmercado->getIdSucursal();
	}
	
	if(!$fechaBalanceAbierto){
		$o_BalanceDiaNew = new BalanceDiaBean();
		$o_BalanceDiaNew->setIdSucursal($IdSucursal); 
		
		
		$o_BalanceDiaNewDP 		= new BalanceDiaDP($o_BalanceDiaNew);
		$fechaBalanceAbierto  	= $o_BalanceDiaNewDP->ObtenerDiaAbierto();
	}
	//////////////////////////////////////////////////////////////////////////////////////
	
	
	$o_MercadoBean = new MercadoBean();
	$o_MercadoBean->setIdMercado($cboMercado);
	$o_MercadoBL = new MercadoBL();
	$a_o_Mercado = $o_MercadoBL->busquedaMercado($o_MercadoBean);
	
	foreach ($a_o_Mercado as $key => $o_Mercado){
		$NombreMercado = utf8_encode(ucwords($o_Mercado->getDescripcion()));
	}
	
	
	$str = 'Mercado:'.ucwords($NombreMercado).'   *Representante :'.ucwords(utf8_encode($NombreRepresentante)).' Fecha:'.$fechaBalanceAbierto;
	
	
	
	ob_start();
	
	if(count($a_ObjectBean)>0){
	
	$fontwidth  	= "border-width:0.1px 0.1px 0.1px 0.1px;";
	$fontsize  	= 'font-size:11px;'
	?>
	<table width="100%" border="0" cellpadding="1" cellspacing="0" style="<?php echo $fontsize;?>padding:1px;">
		
	  <?php
	  
	  foreach ($a_ObjectBean as $iKey => $o_objBean){
		$o_ClienteBean = new ClienteBean();
		$o_ClienteBean->setIdCliente($o_objBean->getIdCliente());
		$o_class = new ClienteBL();
		$a_ObjectCliente = $o_class->busquedaCliente($o_ClienteBean);
		
		while(list($keyCli,$o_ObjectBeanCli) = each($a_ObjectCliente)){
			$NombreCliente = $o_ObjectBeanCli->getNombreCompleto();		
			$Direccion = $o_ObjectBeanCli->getDireccion();		
			$celular = $o_ObjectBeanCli->getCelular();		
			$dni = $o_ObjectBeanCli->getDni();		
			$IdTipoNegocio = $o_ObjectBeanCli->getIdTipoNegocio();		
			$DireccionNegocio = $o_ObjectBeanCli->getDireccionNegocio();		
			$o_MercadoBean = new MercadoBean();
			$o_MercadoBean->setIdMercado($o_ObjectBeanCli->getIdMercado());
			$o_class = new MercadoBL();
			$ObjectBean = $o_class->busquedaMercado($o_MercadoBean);
			
			
			
			if($IdTipoNegocio)
			{
				$o_TipoNegocioBean = new TipoNegocioBean();
				$o_TipoNegocioBean->setIdTipoNegocio($IdTipoNegocio);
				//Tipos de Negocio
				$o_ClienteSystemClass = new TipoNegocioDP($o_TipoNegocioBean);
				$a_TipoNegocio = $o_ClienteSystemClass->selectByPk();
				$actividad = $a_TipoNegocio->getDescripcion();
			}
			
			$NombreMercado = $ObjectBean[0]->getDescripcion();
		}
	  	
		
		
	    
	    ?>
	    <tr>
	    	
	    	<td align="center" style="<?php echo $fontwidth;?>" colspan="2">Cliente - <?php echo $o_objBean->getIdCliente()?></td>
	    	<td style="<?php echo $fontwidth;?>" align="left" colspan="5"><?php echo $NombreCliente?></td>
			<td align="center" style="<?php echo $fontwidth;?>">F. Entrega</td>
	    	<td style="<?php echo $fontwidth;?>" align="center"><?php echo $o_objBean->getFechaInicio()?></td>
		</tr>
		<tr>
			
	    	<td align="center" style="<?php echo $fontwidth;?>" colspan="2">Direccion del Negocio</td>
	    	<td style="border-bottom-style: 1px dotted black;" align="left" colspan="7"><?php echo $DireccionNegocio ?></td>
			
		</tr>
		<tr>
		
	    	<td align="center" style="<?php echo $fontwidth;?>" colspan="2" >Direccion Domicilio</td>
	    	<td style="<?php echo $fontwidth;?>" align="left" colspan="7"><?php echo $Direccion?></td>
			
		</tr>
		
	    <tr>
	    	
	    	
	    	<td align="center" style="<?php echo $fontwidth;?>"  colspan="2">Monto Prestado</td>
	    	<td style="<?php echo $fontwidth;?>" align="center"><?php echo $o_objBean->getMontoPrestado()?></td>
	    	<td align="center" style="<?php echo $fontwidth;?>">Monto Total</td>
	    	<td style="<?php echo $fontwidth;?>" align="center"><?php echo $o_objBean->getMontoTotal()?></td>
	    	<td align="center" style="<?php echo $fontwidth;?>">Cuotas</td>
	    	<td style="<?php echo $fontwidth;?>" align="center"><?php echo $o_objBean->getNroCuotas()?></td>
			<td align="center" style="<?php echo $fontwidth;?>">Interes</td>
	    	<td style="<?php echo $fontwidth;?>" align="center"><?php echo $o_objBean->getInteresPorcentaje()?></td>
		</tr>
		<tr>
	    	
	    	
	    	<td align="center" style="<?php echo $fontwidth;?>"  colspan="2">DNI - <?php echo $dni?></td>
	    	<td align="center" style="<?php echo $fontwidth;?>">Celular</td>
	    	<td style="<?php echo $fontwidth;?>" align="center"><?php echo $celular;?></td>
	    	<td align="center" style="<?php echo $fontwidth;?>">F.Pago</td>
	    	<td style="<?php echo $fontwidth;?>" align="center"><?php echo getReriodicidadPagoDesc($o_objBean->getPeriodicidadPago())?></td>
			<td align="center" style="<?php echo $fontwidth;?>">Actividad</td>
	    	<td style="<?php echo $fontwidth;?>" align="center" colspan="2"><?php echo $actividad?></td>
		</tr>
		<?php
		
		
	  	  
			$con = Conexion::getConexion();
		    $sql = "SELECT * 
		            FROM cr_cuota
		            WHERE   Idprestamo = '".$o_objBean->getIdPrestamo()."' ".
		    		$where;
		  	
		    $result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
		    $num_rows = mysql_num_rows($result);
		    
		    if($num_rows>0){
		    	?>
		    	<tr bgcolor="#99ccff">
		    		<td style="border-width:0.1px 0.1px 0.1px 0.1px;width:5%" >No.</td>
			    	<td align="center" style="border-width:0.1px 0.1px 0.1px 0.1px;;width:13%;padding:2px">Fecha Progr.</td>
			    	<td style="border-width:0.1px 0.1px 0.1px 0.1px;width:15%;padding-left:20px">Dia</td>
			    	<td align="center" style="border-width:0.1px 0.1px 0.1px 0.1px;;width:15%">Cuota</td>
			    	<td align="center" style="border-width:0.1px 0.1px 0.1px 0.1px;width:13%">Monto Pago</td>
			    	<td align="center" style="border-width:0.1px 0.1px 0.1px 0.1px;width:13%">Fecha Pago</td>
			    	<td align="center" style="border-width:0.1px 0.1px 0.1px 0.1px;width:13%">Saldo</td>
			    	<td align="center" style="border-width:0.1px 0.1px 0.1px 0.1px;width:13%"  colspan="2">Firma</td>
			    </tr> 
		    	<?php
		    	  $i = 1;	
		    	  $saldo = $o_objBean->getMontoTotal();
		    	  ?>
		    	  <tr>
			    		<td colspan="6" style="<?php echo $fontwidth;?>">&nbsp;</td>
			    	
				    	<td align="right" style="<?php echo $fontwidth;?>"><?php echo $saldo;?></td>
				    	<td style="<?php echo $fontwidth;?>"  colspan="2">&nbsp;</td>
				    </tr>
		    	  <?php
			      while ($o_valor = mysql_fetch_object($result)) {
					$code = $i;
					//barcode('web/codigos/'.$code.'.png', $code, 20, 'horizontal', 'code128');
			      	$saldo = $saldo - $o_valor->montocuota;?>
			     	<tr>
			    		<td style="<?php echo $fontwidth;?>"><?php echo $i;?></td>
						<!-- <td style="<?php echo $fontwidth;?>"><img alt="testing" src="web/codigos/<?php echo $code?>.png" /></td>-->
			    		<td align="center" style="<?php echo $fontwidth;?>"><?php echo $o_valor->fecha;?></td>
			    		<td style="<?php echo $fontwidth;?>"><?php echo diaSemana(date('w',strtotime($o_valor->fecha)));?></td>
			    		<td align="center" style="<?php echo $fontwidth;?>"><?php echo $o_valor->montocuota;?></td>
				    	<td style="<?php echo $fontwidth;?>">&nbsp;</td>
				    	<td style="<?php echo $fontwidth;?>">&nbsp;</td>
				    	<td align="right" style="<?php echo $fontwidth;?>"><?php echo number_format($saldo,2);?></td>
				    	<td style="<?php echo $fontwidth;?>"  colspan="2">&nbsp;</td>
				    </tr> 
			      	<?php
			      	$i++;
			      }
		      ?>
		      <tr>
		    		<td style="<?php echo $fontwidth;?>" colspan="3" align="center">TOTAL</td>
				
		    		<td align="center" style="<?php echo $fontwidth;?>" bgcolor="#99ccff"><?php echo $o_objBean->getMontoTotal();?></td>
		    		
			    	<td style="<?php echo $fontwidth;?>"  colspan="5">&nbsp;</td>
			    </tr> 
		      <?php
		    }
	      
	  } 
	  ?>
	  </table>
	  
	  <?php 
	}  
	
	if($o_objBean->getPeriodicidadPago()=="S"){?>
	
	<?php
	}
	
	ob_implicit_flush(0);
	$tbl .= ob_get_clean();
	
	//echo $tbl;  

class MyTCPDF extends TCPDF {

    var $htmlFooter;

    public function setHtmlFooter($htmlFooter) {
        $this->htmlFooter = $htmlFooter;
    }
	
	public function getHtmlFooter() {
        return $this->htmlFooter;
    }

    public function Footer() {
		$html = '<table width="100%" border="0">'.$this->getHtmlFooter().'<td align="right">Pagina '.$this->getAliasNumPage().'/'.$this->getAliasNbPages().'</td></tr></table>';
        $this->writeHTMLCell($w = 0, $h = 0, $x = '', $y = '', $html, $border = 0, $ln = 1, $fill = 0, $reseth = true, $align = 'top', $autopadding = true);
    }

}
	
$pdf = new MyTCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);


barcode('web/codigos/'.$idPrestamo.'.png', $idPrestamo, 20, 'horizontal', 'code128',true);
$linea1 .= '<tr><td align="center" colspan="2" style="border-top-style:0.1px 0.1px 0.1px 0.1px;">&nbsp;</td></tr>';
$linea1 .= '<tr><td align="center"><img src="web/codigos/'.$idPrestamo.'.png" /></td>';


$pdf->setHtmlFooter($linea1);
// set document information
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetAuthor('Nicola Asuni');
$pdf->SetTitle('TCPDF Example 005');
$pdf->SetSubject('TCPDF Tutorial');
$pdf->SetKeywords('TCPDF, PDF, example, test, guide');

//$pdf->SetHeaderData("ca_logo.jpg", 50, "Resumen","");



// set font
$pdf->SetFont('times', '', 8);
// set header and footer fonts
$pdf->setHeaderFont(Array(PDF_FONT_NAME_MAIN, '', PDF_FONT_SIZE_MAIN));
$pdf->setFooterFont(Array(PDF_FONT_NAME_DATA, '', PDF_FONT_SIZE_DATA));

// set default monospaced font
$pdf->SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);

$pdf->SetAuthor('');
$pdf->SetTitle('Cronograma de Pagos');
$pdf->SetSubject('TCPDF Tutorial');

// set margins
//echo PDF_MARGIN_FOOTER;
$pdf->SetMargins(1, 18, 1);
$pdf->SetHeaderMargin(PDF_MARGIN_HEADER);
$pdf->setFooterMargin('12');

$str = 'Mercado:'.ucwords($NombreMercado).'   *Representante :'.ucwords(utf8_encode($NombreRepresentante)).' Fecha:'.date("Y-m-d H:i:s");
	
// set default header data
$pdf->SetHeaderData(PDF_HEADER_LOGO, PDF_HEADER_LOGO_WIDTH, "Cronograma de Pagos", $str."",array(0,51,153),array(0,0,0));

// set auto page breaks
$pdf->SetAutoPageBreak(TRUE, 5);

// add a page
$pdf->AddPage('', 'A4');

$tbl .= "<html>";
$tbl .= "<body>";
$tbl .= ob_get_clean();
$tbl .= "</body>";
$tbl .= "</html>";
//echo $tbl;
$pdf->writeHTML($tbl, true, false, false, false, '');

$code = "test";
//barcode('web/codigos/'.$code.'.png', $code, 20, 'horizontal', 'code128');
//$y = $pdf->GetY();	
//$pdf->Image('web/codigos/'.$code.'.png',10,$y,50,0,'PNG');

$pdf->Output();
	
	
?>